View Issue Details

IDProjectCategoryView StatusLast Update
0000198Bacula-Webdocumentationpublic2017-09-19 17:58
ReporterstrangeAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 12.04 (x64)OSUbuntuOS Version14 Lts
Product Version7.3.0 
Target Version8.0.0-rc1Fixed in Version8.0.0-rc1 
Summary0000198: Pb with symlink in .tgz ??
DescriptionHi,

I'm not a specialist but i have an error with 7.3.0 ( not the 7.0.3 ) :
AH00037: Symbolic link not allowed or link target not accessible: /var/www/html/bacula-web/core/vendor/bootstrap

to remediate ( temporaly ?? ) :
rm /var/www/html/bacula-web/core/vendor/bootstrap
mv /var/www/html/bacula-web/core/vendor/bootstrap-3.3.6-dist /var/www/html/bacula-web/core/vendor/bootstrap
chmod 755 /var/www/html/bacula-web/core/vendor/bootstrap

--
TagsNo tags attached.

Activities

davide

2017-01-06 15:21

manager   ~0000573

Hi,

can you try to update Apache configuration with this and get back to me with result ?
    
<Directory /var/www/html/bacula-web>
  Options +FollowSymLinks
  AllowOverride All
</Directory>

Cheers

strange

2017-01-06 15:53

reporter   ~0000574

Hi,

I think it's a problem of apache configuration.

below my conf

/etc/apache2/sites-available/web.conf
<VirtualHost *:80>
        ServerName hostname
        ServerAlias aliasweb
        DocumentRoot /var/www/html/bacula-web
        ErrorLog ${APACHE_LOG_DIR}/web-error.log
        # Possible values include: debug, info, notice, warn, error, crit,
        # alert, emerg.
                LogLevel warn
                CustomLog ${APACHE_LOG_DIR}/web-access.log combined
        DirectoryIndex index.html index.htm index.php index.php4 index.php5
        <Directory /var/www/html/bacula-web>
        Options -Indexes -FollowSymLinks -MultiViews
                AllowOverride None
                Order allow,deny
                allow from all
        </Directory>
</VirtualHost>

---
It's not important, it's works like this ( rm symlink )
I could ask a developer colleague

davide

2017-07-27 12:16

manager   ~0000602

Last edited: 2017-07-27 12:17

View 2 revisions

As of version 8.0.0, Bacula-Web does not use symlink anymore.

Bacula-Web 8.0.0-RC1 will be available soon

davide

2017-09-19 17:58

manager   ~0000669

The documentation miss something important

You need to create this config file
/etc/apache2/conf-available/bacula-web.conf

with this content
Alias /bacula-web "/var/www/html/bacula-web/"

<Directory /var/www/html/bacula-web/>
  Options +FollowSymlinks
  AllowOverride All
</Directory>

Then enable the configuration
# a2enconf bacula-web

and reload Apache
# service apache2 reload

Issue History

Date Modified Username Field Change
2017-01-05 11:09 strange New Issue
2017-01-06 15:18 davide Assigned To => davide
2017-01-06 15:18 davide Status new => assigned
2017-01-06 15:21 davide Status assigned => feedback
2017-01-06 15:21 davide Note Added: 0000573
2017-01-06 15:53 strange Note Added: 0000574
2017-01-06 15:53 strange Status feedback => assigned
2017-05-18 15:19 davide Target Version => 8.0.0-rc1
2017-07-27 12:16 davide Status assigned => resolved
2017-07-27 12:16 davide Resolution open => fixed
2017-07-27 12:16 davide Fixed in Version => 8.0.0-rc1
2017-07-27 12:16 davide Note Added: 0000602
2017-07-27 12:17 davide Note Edited: 0000602 View Revisions
2017-09-19 17:54 davide Status resolved => confirmed
2017-09-19 17:54 davide Category bug => documentation
2017-09-19 17:58 davide Status confirmed => resolved
2017-09-19 17:58 davide Note Added: 0000669